## org.apache.maven.shared.jar.identification.repository
Interface RepositoryHashSearch

All Known Implementing Classes:
  EmptyRepositoryHashSearch

    public interface RepositoryHashSearch

Interface for Repository Hash Searches.

Method Summary
`java.util.List` `searchBytecodeHash(java.lang.String hash)` Search the repository for artifacts matching the given hash code when consider the bytecode of the classes in the file.
`java.util.List` `searchFileHash(java.lang.String hash)` Search the repository for artifacts matching the given hash code when consider the entire contents of the file.

Method Detail

### searchFileHash

    java.util.List searchFileHash(java.lang.String hash)

  Search the repository for artifacts matching the given hash code when consider the entire contents of the file.

  Parameters:
    `hash` - the hash code to use
  Returns:
    a list of `Artifact` instances that matched

### searchBytecodeHash

    java.util.List searchBytecodeHash(java.lang.String hash)

  Search the repository for artifacts matching the given hash code when consider the bytecode of the classes in the file.

  Parameters:
    `hash` - the hash code to use
  Returns:
    a list of `Artifact` instances that matched

Copyright © 2011. All Rights Reserved.